<?php
namespace Trustami\Trustbadge\Helper;

use Magento\Framework\App\Config\ScopeConfigInterface;
use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\Locale\Resolver;

class FooterData extends \Magento\Framework\App\Helper\AbstractHelper
{
  /**
  * @var \Magento\Framework\App\Config\ScopeConfigInterfac
  */
  protected $_scopeConfig;
  protected $_localeResolver;

  CONST FOOTER = 'trustami_trustbadge/general/show_footer';
  CONST STICKER = 'trustami_trustbadge/general/show_sticker';
  CONST BUTTON = 'trustami_trustbadge/general/show_button';
  CONST SOCIAL = 'trustami_trustbadge/general/show_social';
  CONST DUO = 'trustami_trustbadge/general/show_duo';

  public function __construct(
  \Magento\Framework\App\Config\ScopeConfigInterface $scopeConfig,
  \Magento\Framework\Locale\Resolver $localeResolver
  ) {

    $this->_scopeConfig = $scopeConfig;
    $this->__localeResolver = $localeResolver;

  }

  public function getFooterOptions(){
    $value = $this->_scopeConfig->getValue(self::FOOTER);
    return $value;
  }

  public function isStickerActivated(){
    $value = $this->_scopeConfig->getValue(self::STICKER);
    return $value;
  }

  public function isButtonActivated(){
    $value = $this->_scopeConfig->getValue(self::BUTTON);
    return $value;
  }

  public function isSocialActivated(){
    $value = $this->_scopeConfig->getValue(self::SOCIAL);
    return $value;
  }

  public function isDuoActivated(){
    $value = $this->_scopeConfig->getValue(self::DUO);
    return $value;
  }
}
